Kapitel 5. Paketmanagement
Zurück | 5.45 `dpkg-statoverride` | Weiter

## 5.45 `dpkg-statoverride`

Mittels `dpkg-statoverride` können einzelne Komponenten eines Pakets mit anderen Rechten, als vorgesehen waren, installiert werden. Dies kann bei Paketen sinnvoll sein, die Programme mit einem unerwünscht gesetzten `setuid`-Bit installieren oder wenn Programme nur von einer bestimmten Gruppe von Benutzern ausgeführt werden sollen. Eine Komponente kann dabei jedes Objekt im Dateisystem sein, Dateien, Verzeichnisse oder auch Gerätedateien.

`dpkg-statoverride` kennt verschiedene Optionen:

`--add <user> <group> <mode> <file>`

  Überschreibt die Rechte für die Datei `<file>`. Dabei muss die Datei noch nicht existieren, wenn das Kommando ausgeführt wird. Die Informationen werden gespeichert und später, bei der Installation der Datei auf dem System, verändert. Benutzer- und Gruppennamen können sowohl im Klartext (also beispielsweise `root` oder `nobody`) oder auch als Nummern angegeben werden. Wird die Schreibweise mit Nummern bevorzugt, so ist das Zeichen `#` voranzustellen, also beispielsweise `#0` oder `#65534`.

`--remove <file>`

  Stellt die ursprünglich im Paket verwendeten Rechte wieder her.

`--list [<glob-pattern>]`

  Zeigt alle veränderten Rechte an. Wird zusätzlich ein Suchbegriff angegeben, so wird die Ausgabe auf die Veränderungen beschränkt, auf die der Suchbegriff passt.

`--force`

  Führt die gewünschte Aktion auch aus, wenn die internen Überprüfungen die Ausführung sonst nicht zulassen würden. Dies ist immer dann der Fall, wenn bereits Veränderungen an einer Datei vorliegen.

`--update`

  Aktualisiert die Rechte sofort, wenn eine Datei existiert. Wird nur bei Verwendung der Option `--add` ausgeführt.

`--quiet`

  Gibt weniger Informationen darüber aus, welche Veränderungen vorgenommen werden.

`--help`

  Gibt einige Informationen zur Benutzung des Programms aus.

`--admindir`

  Ändert das Verzeichnis, in dem die Datei `statoverride` gespeichert wird. Dies ist normalerweise das Verzeichnis `/var/lib/dpkg/`.

Zurück | Nach oben | Weiter
5.44 `dpkg-divert` | Zum Anfang | 5.46 `dpkg-query`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).